summaryrefslogtreecommitdiff
path: root/extra/moc
diff options
context:
space:
mode:
authorroot <root@rshg054.dnsready.net>2012-05-27 00:05:57 +0000
committerroot <root@rshg054.dnsready.net>2012-05-27 00:05:57 +0000
commit1f45ad8e3f17397e2f44e68ef9a0d860091eea9e (patch)
treec739dcbb4950142bbb793715bfd19fb2d6cc80ef /extra/moc
parenta5721a07196cf00c26ea1bfb651aab756d202ccb (diff)
Sun May 27 00:05:56 UTC 2012
Diffstat (limited to 'extra/moc')
-rw-r--r--extra/moc/PKGBUILD38
1 files changed, 25 insertions, 13 deletions
diff --git a/extra/moc/PKGBUILD b/extra/moc/PKGBUILD
index 8215d4d59..5424c938b 100644
--- a/extra/moc/PKGBUILD
+++ b/extra/moc/PKGBUILD
@@ -1,9 +1,9 @@
-# $Id: PKGBUILD 146475 2012-01-11 15:22:23Z stephane $
+# $Id: PKGBUILD 159610 2012-05-25 20:35:43Z eric $
# Maintainer: Eric BĂ©langer <eric@archlinux.org>
pkgname=moc
-pkgver=20110528
-pkgrel=5
+pkgver=20120224
+pkgrel=1
pkgdesc="An ncurses console audio player with support for the mp3, ogg, and wave formats"
arch=('i686' 'x86_64')
url="http://moc.daper.net/"
@@ -17,19 +17,31 @@ optdepends=('speex: for using the speex plugin'
'wavpack: for using the wavpack plugin'
'libmodplug: for using the modplug plugin')
options=('!libtool')
-source=(ftp://ftp.archlinux.org/other/moc/${pkgname}-${pkgver}.tar.xz \
- gcc-undefined-symbols.diff moc-ffmpeg.patch)
-sha1sums=('f79049136ce6616bfd6af2f5e08246a5921441cf'
- 'a811a4ac7e049914aab528d3f06a6be6634c2720'
- 'f7e8eb17a89fea1c08c8a68f5afd1ffdc641ce9d')
+source=(ftp://ftp.archlinux.org/other/moc/${pkgname}-${pkgver}.tar.xz{,.sig})
+sha1sums=('8ad3521d99fe6f2514907088c70e50c84ec09b46'
+ 'e8b2396d99692b0c4f85971d3fa6f5aecb1eb9d3')
+
+# source PKGBUILD && mksource
+mksource() {
+ [[ -x /usr/bin/svn ]] || (echo "svn not found. Install subversion." && return 1)
+ _svnver=2412
+ _svntrunk="svn://daper.net/moc/trunk"
+ _svnmod="${pkgname}-${pkgver}"
+ mkdir ${pkgname}-${pkgver}
+ pushd ${pkgname}-${pkgver}
+ svn co ${_svntrunk} --config-dir ./ -r ${_svnver} ${_svnmod}
+ find . -depth -type d -name .svn -exec rm -rf {} \;
+ tar -cJf ../${pkgname}-${pkgver}.tar.xz ${pkgname}-${pkgver}/*
+ popd
+ rm -r ${pkgname}-${pkgver}
+ gpg --detach-sign --use-agent -u ${GPGKEY} ${pkgname}-${pkgver}.tar.xz
+}
build() {
- cd "${srcdir}/${pkgname}"
- patch -p0 -i ../gcc-undefined-symbols.diff
- patch -p0 -i ../moc-ffmpeg.patch
+ cd "${srcdir}/${pkgname}-${pkgver}"
# Disabling aac to use the external ffmpeg to play them (FS#13164)
- ./autogen.sh
+ autoreconf -i
./configure --prefix=/usr --without-rcc --without-aac \
--with-oss --with-alsa --with-jack --with-mp3 \
--with-musepack --with-vorbis --with-flac --with-wavpack \
@@ -39,6 +51,6 @@ build() {
}
package() {
- cd "${srcdir}/${pkgname}"
+ cd "${srcdir}/${pkgname}-${pkgver}"
make DESTDIR="${pkgdir}" install
}